var $AdfDhtmlSelectManyCheckboxPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlSelectManyPeer$$, "AdfDhtmlSelectManyCheckboxPeer");
$goog$exportSymbol$$("AdfDhtmlSelectManyCheckboxPeer", $AdfDhtmlSelectManyCheckboxPeer$$);
$AdfDhtmlSelectManyCheckboxPeer$$.$InitSubclass$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfUIEditableValue.SUBMITTED_VALUE, AdfUISelectMany.$SELECT_ITEMS$, AdfRichSelectManyCheckbox.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichSelectManyCheckbox.LABEL);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlSelectManyCheckboxPeer.InitSubclass", $AdfDhtmlSelectManyCheckboxPeer$$.$InitSubclass$);
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$HandleComponentClick$$($checkbox$$5_componentEvent$$439_value$$251$$) {
  $AdfDhtmlSelectManyCheckboxPeer$$.$superclass$.$HandleComponentClick$.call(this, $checkbox$$5_componentEvent$$439_value$$251$$);
  var $component$$2021$$ = this.$getComponent$();
  $checkbox$$5_componentEvent$$439_value$$251$$ = $checkbox$$5_componentEvent$$439_value$$251$$.$getNativeEventTarget$();
  "INPUT" == $AdfAgent$$.$AGENT$.$getNodeName$($checkbox$$5_componentEvent$$439_value$$251$$) && ($checkbox$$5_componentEvent$$439_value$$251$$ = this.$GetSubmittedValue$($component$$2021$$, $checkbox$$5_componentEvent$$439_value$$251$$), this.$Validate$($component$$2021$$, $checkbox$$5_componentEvent$$439_value$$251$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetNoteWindowAlignmentNode$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$GetNoteWindowAlignmentNode$$($component$$2022$$, $rootNode$$17$$) {
  $rootNode$$17$$ || ($rootNode$$17$$ = this.$getDomElement$());
  var $checkbox$$6$$ = $rootNode$$17$$.getElementsByTagName("input")[0];
  return $checkbox$$6$$ ? "0" === $AdfAgent$$.$AGENT$.getComputedStyle($checkbox$$6$$).opacity ? $checkbox$$6$$.parentElement : $checkbox$$6$$ : $AdfDhtmlSelectManyCheckboxPeer$$.$superclass$.$GetNoteWindowAlignmentNode$.call(this, $component$$2022$$, $rootNode$$17$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.GetNoteWindowAlignmentNode", {$GetNoteWindowAlignmentNode$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetNoteWindowAlignmentNode$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$SetDisplayValue$$($boxes$$1_component$$2023$$, $domElement$$446_i$$528$$, $newValue$$140$$) {
  $AdfAssert$$.$assertDomElement$($domElement$$446_i$$528$$);
  $AdfAssert$$.$assertArray$($newValue$$140$$);
  if ($boxes$$1_component$$2023$$ = this.$GetCheckboxes$($boxes$$1_component$$2023$$, $domElement$$446_i$$528$$)) {
    for ($domElement$$446_i$$528$$ = 0;$domElement$$446_i$$528$$ < $boxes$$1_component$$2023$$.length;$domElement$$446_i$$528$$++) {
      var $cb$$3$$ = $boxes$$1_component$$2023$$[$domElement$$446_i$$528$$], $index$$167$$ = $AdfCollections$$.indexOf($newValue$$140$$, $cb$$3$$.value);
      $cb$$3$$.checked = 0 <= $index$$167$$;
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleLabelEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetInlineEditor$});
